pcl::visualization::PointCloudGeometryHandler< PointT > Class Template Referenceabstract
Module visualization

Base handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandler< PointT >:

## Public Types

typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudGeometryHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudGeometryHandler ()
| Destructor. More...
virtual std::string | getName () const =0
| Abstract getName method. More...
virtual std::string | getFieldName () const =0
| Abstract getFieldName method. More...
bool | isCapable () const
| Checl if this handler is capable of handling the input data or not. More...
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const =0
| Obtain the actual point geometry for the input dataset in VTK format. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_x_idx_
| The index of the field holding the X data. More...
int | field_y_idx_
| The index of the field holding the Y data. More...
int | field_z_idx_
| The index of the field holding the Z data. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudGeometryHandler< PointT >

Base handler class for PointCloud geometry.

Author
  Radu B. Rusu

Definition at line 61 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

template<typename PointT>

typedef boost::shared_ptr<const PointCloudGeometryHandler<PointT> > pcl::visualization::PointCloudGeometryHandler< PointT >::ConstPtr

Definition at line 69 of file point_cloud_geometry_handlers.h.

template<typename PointT>

typedef pcl::PointCloud<PointT> pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloud

Definition at line 64 of file point_cloud_geometry_handlers.h.

template<typename PointT>

typedef PointCloud::ConstPtr pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloudConstPtr

Definition at line 66 of file point_cloud_geometry_handlers.h.

template<typename PointT>

typedef PointCloud::Ptr pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloudPtr

Definition at line 65 of file point_cloud_geometry_handlers.h.

template<typename PointT>

typedef boost::shared_ptr<PointCloudGeometryHandler<PointT> > pcl::visualization::PointCloudGeometryHandler< PointT >::Ptr

Definition at line 68 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

template<typename PointT>

pcl::visualization::PointCloudGeometryHandler< PointT >::PointCloudGeometryHandler | ( | const PointCloudConstPtr & | cloud | ) |

inline

Constructor.

Definition at line 72 of file point_cloud_geometry_handlers.h.

template<typename PointT>

virtual pcl::visualization::PointCloudGeometryHandler< PointT >::~PointCloudGeometryHandler | ( |  | ) |

inline virtual

Destructor.

Definition at line 79 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::getFieldName(), and pcl::visualization::PointCloudGeometryHandler< PointT >::getName().

## Member Function Documentation

template<typename PointT>

virtual std::string pcl::visualization::PointCloudGeometryHandler< PointT >::getFieldName | ( |  | ) | const

pure virtual

Abstract getFieldName method.

Implemented in pcl::visualization::PointCloudGeometryHandlerCustom< PointT >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >, and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >.

Referenced by pcl::visualization::PointCloudGeometryHandler< PointT >::~PointCloudGeometryHandler(), and pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::~PointCloudGeometryHandler().

template<typename PointT>

virtual void pcl::visualization::PointCloudGeometryHandler< PointT >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

pure virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

Implemented in pcl::visualization::PointCloudGeometryHandlerCustom< PointT >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >, and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >.

Referenced by pcl::visualization::PCLVisualizer::addPointCloud(), pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::getFieldName(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::getFieldName(), pcl::visualization::PointCloudGeometryHandler< PointT >::isCapable(), and pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::isCapable().

template<typename PointT>

virtual std::string pcl::visualization::PointCloudGeometryHandler< PointT >::getName | ( |  | ) | const

pure virtual

Abstract getName method.

Returns
  the name of the class/object.

Implemented in pcl::visualization::PointCloudGeometryHandlerCustom< PointT >, pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >, and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >.

Referenced by pcl::visualization::PCLVisualizer::updateCorrespondences(), pcl::visualization::PointCloudGeometryHandler< PointT >::~PointCloudGeometryHandler(), and pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::~PointCloudGeometryHandler().

template<typename PointT>

bool pcl::visualization::PointCloudGeometryHandler< PointT >::isCapable | ( |  | ) | const

inline

Checl if this handler is capable of handling the input data or not.

Definition at line 93 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, and pcl::visualization::PointCloudGeometryHandler< PointT >::getGeometry().

Referenced by pcl::visualization::PCLVisualizer::updateCorrespondences().

template<typename PointT>

void pcl::visualization::PointCloudGeometryHandler< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

inline

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Definition at line 105 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_.

## Member Data Documentation

template<typename PointT>

bool pcl::visualization::PointCloudGeometryHandler< PointT >::capable_

protected

True if this handler is capable of handling the input data, false otherwise.

Definition at line 117 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandler< PointT >::isCapable(), pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::isCapable(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

template<typename PointT>

PointCloudConstPtr pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_

protected

A pointer to the input dataset.

Definition at line 112 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandler< PointT >::setInputCloud(), and pcl::visualization::PointCloudGeometryHandler< pcl::PCLPointCloud2 >::setInputCloud().

template<typename PointT>

int pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_

protected

The index of the field holding the X data.

Definition at line 120 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

template<typename PointT>

int pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_

protected

The index of the field holding the Y data.

Definition at line 123 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

template<typename PointT>

int pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_

protected

The index of the field holding the Z data.

Definition at line 126 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

template<typename PointT>

std::vector<pcl::PCLPointField> pcl::visualization::PointCloudGeometryHandler< PointT >::fields_

protected

The list of fields available for this PointCloud.

Definition at line 129 of file point_cloud_geometry_handlers.h.

Referenced by pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry(), pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom(), pcl::visualization::PointCloudGeometryHandlerSurfaceNormal< PointT >::PointCloudGeometryHandlerSurfaceNormal(), and pcl::visualization::PointCloudGeometryHandlerXYZ< PointT >::PointCloudGeometryHandlerXYZ().

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/visualization/include/pcl/visualization/point_cloud_geometry_handlers.h